<?php

namespace Slyweb\Component\Mapyandex\Administrator\Libraries\Render;

// phpcs:disable PSR1.Files.SideEffects
\defined('_JEXEC') or die;

class MapYandexRenderAdminView
{
    public function __construct()
    {
    }

    public function startForm($option, $view, $itemId, $id = 'adminForm', $name = 'adminForm')
    {
        return '<div id="' . $view . '"><form action="' . JRoute::_('index.php?option=' . $option . '&layout=edit&id=' . (int) $itemId) . '" method="post" name="' . $name . '" id="' . $id . '" class="form-validate">' . "\n"
            . '<div class="row-fluid">' . "\n";
    }

    public function endForm()
    {
        return '</div>' . "\n" . '</form>' . "\n" . '</div>' . "\n";
    }

    public function formInputs()
    {

        return '<input type="hidden" name="task" value="" />' . "\n"
            . JHtml::_('form.token') . "\n";
    }

    public function navigation($tabs)
    {
        $o = '<ul class="nav nav-tabs">';
        $i = 0;
        foreach ($tabs as $k => $v) {
            $cA = 0;
            if ($i == 0) {
                $cA = 'class="active"';
            }
            $o .= '<li ' . $cA . '><a href="#' . $k . '" data-toggle="tab">' . $v . '</a></li>' . "\n";
            $i++;
        }
        $o .= '</ul>';

        return $o;
    }

    public function group($form, $formArray, $clear = 0)
    {
        $o = '';
        if (!empty($formArray)) {
            if ($clear == 1) {
                foreach ($formArray as $value) {
                    $o .= '<div>' . $form->getLabel($value) . '</div>' . "\n"
                        . '<div class="clearfix"></div>' . "\n"
                        . '<div>' . $form->getInput($value) . '</div>' . "\n";
                }
            } else {
                foreach ($formArray as $value) {
                    $o .= '<div class="control-group">' . "\n"
                        . '<div class="control-label">' . $form->getLabel($value) . '</div>' . "\n"
                        . '<div class="controls">' . $form->getInput($value) . '</div>' . "\n"
                        . '</div>' . "\n";
                }
            }
        }

        return $o;
    }

    public function item($form, $item, $suffix = '')
    {
        $value = $o = '';
        if ($suffix != '') {
            $value = $suffix;
        } else {
            $value = $form->getInput($item);
        }
        $o .= '<div class="control-group">' . "\n";
        $o .= '<div class="control-label">' . $form->getLabel($item) . '</div>' . "\n"
            . '<div class="controls">' . $value . '</div>' . "\n"
            . '</div>' . "\n";

        return $o;
    }
}

?>
