<?php
// No direct access to this file
use Joomla\CMS\Language\Text;

defined('_JEXEC') or die;

// import the list field type
jimport('joomla.form.helper');
JFormHelper::loadFieldClass('list');

/**
 * HelloWorld Form Field class for the HelloWorld component
 */
class JFormFieldMapYandexStatus extends JFormFieldList
{
    /**
     * The field type.
     *
     * @var        string
     */
    protected $type = 'MapYandex';

    /**
     * Method to get a list of options for a list input.
     *
     * @return    array        An array of JHtml options.
     */
    protected function getOptions()
    {

        $messages = array(TEXT::_('unpublished'), TEXT::_('published'));

        $options = array();
        if ($messages) {
            $options[] = JHtml::_('select.option', '', TEXT::_('JOPTION_SELECT_PUBLISHED'));
            foreach ($messages as $key => $message) {


                $options[] = JHtml::_('select.option', $key, $message);
            }
        }
        $options = array_merge(parent::getOptions(), $options);
        return $options;
    }
}
