<?php
/*
 * @package Joomla 4.0
 * @license - http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * @component Yandex Map Component
 * @copyright Copyright (C) Aleksandr Ermakov www.slyweb.ru
 */

namespace Slyweb\Component\Mapyandex\Administrator\View\Ajaxtask;

use Joomla\CMS\Factory;
use Joomla\CMS\MVC\View\HtmlView as BaseHtmlView;
use Joomla\CMS\Response\JsonResponse;

\defined('_JEXEC') or die('Restricted access');

class HtmlView extends BaseHtmlView
{
	function display($tpl = null) {

		    $input = Factory::getApplication()->input;
			$id = $input->get('id');

            $idregion = $input->get('idmapforregion');

			if($idregion) {
				$res = $this->get('Idregion');
				$routeorregion = $res->region_map_yandex;
			} else {
				$res = $this->get('Map');

                $routeorregion = $res->route_map_yandex;
			}

			$item = $this->foobar = json_decode($routeorregion);

			if($id) {
				unset($item[$id]);
			}
			$newroute = array();

			foreach($item as $val) {
				$newroute[] = $val;
			}

			$model = $this->getModel();
			if($idregion) {
				$greeting = $model->store($newroute, 'region_map_yandex');
			} else {
				$greeting = $model->store($newroute, 'route_map_yandex');

			}

            // Output the JSON data.
            echo new JsonResponse(1);

            jexit();

	 }

}
