<?php
/*
 * @package Joomla 3.x
 * @license - http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * @component Yandex Map Component
 * @copyright Copyright (C) Aleksandr Ermakov www.slyweb.ru
 */

namespace Slyweb\Component\Mapyandex\Administrator\View\Doc;

use Exception;
use Joomla\CMS\Factory;
use Joomla\CMS\Language\Text;
use Joomla\CMS\MVC\View\HtmlView as BaseHtmlView;
use JToolbarHelper;

\defined('_JEXEC') or die();
jimport('joomla.application.component.view');

class HtmlView extends BaseHtmlView
{
	function display($tpl = null) {

		JToolBarHelper::title(Text::_('COM_MAPYANDEX_INSTRUCTION'), 'mapyandexdoc');
        try {
            $wa = Factory::getApplication()->getDocument()->getWebAssetManager();
            $wa->useStyle('mapyandex');
        } catch (Exception $e) {
            var_dump($e->getMessage());
        }
		parent::display($tpl);
	}
}
?>
