<?php
/*
 * @package Joomla 3.x
 * @license - http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * @component Yandex Map Component
 * @copyright Copyright (C) Aleksandr Ermakov www.slyweb.ru
 */

use Joomla\CMS\HTML\HTMLHelper;
use Joomla\CMS\Language\Text;

defined('_JEXEC') or die('Restricted access');


$attribs = array('target'=>'_blank');
echo '<div class="row-fluid">';
echo '<div class="span10 form-horizontal">';
echo '<fieldset>';

echo HTMLHelper::_('uitab.startTabSet', 'myTab', ['active' => 'general', 'recall' => true, 'breakpoint' => 768]);
echo HTMLHelper::_('uitab.addTab', 'myTab', 'general', Text::_('COM_MAPYANDEX_ABOUT'));
?>


<div style="float:left;" id="j-sidebar-container" class="span2">
	<?php echo JHtmlSidebar::render(); ?>
</div>

<div id="j-main-container" class="span10">

<div class="adminform">
  <div id="yandexmenu-info">
	<h3><?php echo Text::_('COM_MAPYANDEX_ABOUT');?></h3>
    <?php echo JHTML::link("https://slyweb.ru/developer/yandexmap",Text::_('COM_MAPYANDEX_DEV'),$attribs);?></a>

	<h3> <?php echo Text::_('COM_MAPYANDEX_SITESLYWEB');?></h3>
	<?php echo JHTML::link("https://slyweb.ru/developer/yandexmap",'http://slyweb.ru/developer/yandexmap',$attribs);?>
	<h3><?php echo Text::_('COM_MAPYANDEX_LICENSE');?></h3>
    <?php echo JHTML::link("https://www.gnu.org/licenses/gpl-2.0.html",'GPLv2',$attribs);?>
  </div>

</div>
</div>

<?php

echo HTMLHelper::_('uitab.endTab');
echo '</fieldset>';
?>

</div>
</div>
