<?php

/**
 * @package     Joomla.Site
 * @subpackage  com_content
 *
 * @copyright   (C) 2006 Open Source Matters, Inc. <https://www.joomla.org>
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 */

namespace Slyweb\Component\Mapyandex\Site\Controller;

use JFactory;
use Joomla\CMS\Factory;
use Joomla\CMS\MVC\Controller\BaseController;

// phpcs:disable PSR1.Files.SideEffects
\defined('_JEXEC') or die;
// phpcs:enable PSR1.Files.SideEffects

/**
 * Content Component Controller
 *
 * @since  1.5
 */
class DisplayController extends BaseController
{
    /**
     * Method to display a view.
     *
     * @param   boolean  $cachable   If true, the view output will be cached
     * @param   array    $urlparams  An array of safe URL parameters and their variable types, for valid values see {@link \JFilterInput::clean()}.
     *
     * @return  static  This object to support chaining.
     *
     * @since   1.5
     */
    public function display($cachable = false, $urlparams = array())
    {

        return parent::display();
    }

    public function mapyandex($cachable = false, $urlparams = false)
    {
        var_dump(546);
    }
    public function ajaxit()
    {
        $app = Factory::getApplication();
        $id = $app->input->getInt('id');

        $jinput = JFactory::getApplication()->input->post;
        $data = $jinput->getArray();

        $model = $this->getModel('mapajax');

        if ($model->store($data)) {
            //$view	= $app->input->get('task', '');
        }

        $view = $this->getView( 'dialogajax', 'row' );
        $view->display();

        //parent::display();
    }
}
