<?php

/**
 * @package     Joomla.Site
 * @subpackage  com_mapyandex
 *
 * @copyright   (C) 2009 Open Source Matters, Inc. <https://www.joomla.org>
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 */

namespace Slyweb\Component\Mapyandex\Site\Controller;

use JFactory;
use Joomla\CMS\MVC\Controller\BaseController;

\defined('_JEXEC') or die;


/**
 * Content article class.
 *
 * @since  1.6.0
 */
class MapyandexController extends BaseController
{
    /**
     * Method to display a view.
     *
     * @param   boolean  $cachable   If true, the view output will be cached
     * @param   array    $urlparams  An array of safe URL parameters and their variable types, for valid values see {@link \JFilterInput::clean()}.
     *
     * @return  static  This object to support chaining.
     *
     * @since   1.5
     */
    public function display($cachable = false, $urlparams = array())
    {

        return parent::display();
    }

    public function ajaxit()
    {
        $jinput = JFactory::getApplication()->input->post;
        $data = $jinput->getArray();

        $model = $this->getModel('mapajax');

        if ($model->store($data)) {
            //$view	= $app->input->get('task', '');
        }

        parent::display();
    }

}
