CREATE TABLE `#__map_yandex` (
                                    `id` int UNSIGNED NOT NULL AUTO_INCREMENT,
                                    `name_map_yandex` text NOT NULL,
                                    `map_type` enum('map','calculator') NOT NULL DEFAULT 'map',
                                    `defaultmap` enum('map','satellite','hybrid','publicMap','publicMapHybrid') NOT NULL DEFAULT 'map',
                                    `misil` text CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci,
                                    `misilonclick` text CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci,
                                    `id_map_yandex` text,
                                    `city_map_yandex` text NOT NULL,
                                    `street_map_yandex` text NOT NULL,
                                    `full_address_map_yandex` varchar(255) NOT NULL DEFAULT 'Санкт-Петербург, пр. Невский, 100',
                                    `checked_out` int UNSIGNED NOT NULL DEFAULT '0',
                                    `checked_out_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
                                    `ordering` int UNSIGNED NOT NULL DEFAULT '0',
                                    `published` tinyint UNSIGNED NOT NULL DEFAULT '0',
                                    `hits` int UNSIGNED NOT NULL DEFAULT '0',
                                    `catid` int UNSIGNED DEFAULT NULL,
                                    `params` text CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci,
                                    `width_map_yandex` varchar(10) NOT NULL DEFAULT '600',
                                    `height_map_yandex` varchar(255) NOT NULL DEFAULT '400',
                                    `oblako_width_map_yandex` int NOT NULL,
                                    `yandexbutton` int NOT NULL,
                                    `color_map_yandex` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
                                    `bradius` int NOT NULL DEFAULT '1',
                                    `yandexborder` int NOT NULL DEFAULT '1',
                                    `yandexcoord` int NOT NULL DEFAULT '1',
                                    `lng` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
                                    `text_map_yandex` text CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci,
                                    `where_text` int NOT NULL DEFAULT '0',
                                    `center_map_yandex` int NOT NULL DEFAULT '1',
                                    `yandexzoom` int NOT NULL DEFAULT '14',
                                    `autozoom` int NOT NULL DEFAULT '1',
                                    `yandexel` varchar(100) NOT NULL,
                                    `route_map_yandex` text CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci,
                                    `region_map_yandex` text CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci,
                                    `map_region_style` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
                                    `color_map_route` varchar(100) NOT NULL DEFAULT '8f2f62',
                                    `map_route_opacity` varchar(10) NOT NULL DEFAULT '1',
                                    `map_baloon_or_placemark` int DEFAULT NULL,
                                    `map_baloon_minwidth` varchar(5) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
                                    `map_baloon_minheight` varchar(5) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
                                    `map_baloon_autopanduration` varchar(5) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
                                    `map_baloon_autopan` int DEFAULT NULL,
                                    `map_centering` int NOT NULL DEFAULT '1',
                                    `map_settings_user_all` int DEFAULT NULL,
                                    `map_calculator_settings` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
                                    PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8mb4 AUTO_INCREMENT=13;

--
-- Дамп данных таблицы `wj0m5_map_yandex`
--

INSERT INTO `#__map_yandex` (`id`, `name_map_yandex`, `map_type`, `defaultmap`, `misil`, `misilonclick`,
							 `id_map_yandex`, `city_map_yandex`, `street_map_yandex`, `full_address_map_yandex`,
							 `checked_out`, `checked_out_time`, `ordering`, `published`, `hits`, `catid`, `params`,
							 `width_map_yandex`, `height_map_yandex`, `oblako_width_map_yandex`, `yandexbutton`,
							 `color_map_yandex`, `bradius`, `yandexborder`, `yandexcoord`, `lng`, `text_map_yandex`,
							 `where_text`, `center_map_yandex`, `yandexzoom`, `autozoom`, `yandexel`,
							 `route_map_yandex`, `region_map_yandex`, `map_region_style`, `color_map_route`,
							 `map_route_opacity`, `map_baloon_or_placemark`, `map_baloon_minwidth`,
							 `map_baloon_minheight`, `map_baloon_autopanduration`, `map_baloon_autopan`,
							 `map_centering`, `map_settings_user_all`, `map_calculator_settings`)
VALUES (1, 'Первый пример!', 'map', 'map', 'by Aleksander Ermakov', 'Привет я Карта!', '1', 'Пермь', 'Ленина, 40',
		'Санкт-Петербург, пр. Невский, 100', 0, '2022-10-29 09:22:38', 3, 1, 592, 1, '', '100%', '600px', 0, 1,
		'#949494', 1, 1, 2, '{\"longitude_map_yandex\":\"56.253024\",\"latitude_map_yandex\":\"58.003774\"}',
		'<h2>История компании</h2>\r\n<p>Как и предыдущие версии Joomla!, версия 1.5 обеспечивает единую и удобную в работе платформу для управления информацией на веб-сайтах самых разных типов. Чтобы идти в ногу со временем были переработаны базовые функции системы и модернизирован пользовательский интерфейс.</p>\r\n<p>Среди прочего изменения коснулись следующих аспектов Joomla! 1.5:</p>\r\n<ul>\r\n<li>Расширены возможности по настройке и адаптации системы к конкретным требованиям.</li>\r\n<li>Благодаря применению двухбайтовой кодировки символов расширены возможности по локализации Joomla!, теперь возможна поддержка любых языков, включая культуры с правосторонним написанием текстов.</li>\r\n<li>Расширены возможности по интеграции со сторонними приложениями с помощью веб-сервисов. Возможна удалённая авторизация пользователей через LDAP, OpenID или Gmail.</li>\r\n<li>Расширены возможности по созданию тем оформления и настройке внешнего вида отображаемой на сайте информации.</li>\r\n<li>Благодаря новому программному каркасу (framework), значительно увеличены возможности разработчиков Расширений.</li>\r\n<li>Реализована поддержка многих расширений от предыдущих версий системы.</li>\r\n</ul>',
		1, 2, 14, 0, '[\"1\",\"2\",\"3\",\"4\",\"5\"]',
		'[\"\\u041a\\u0440\\u0430\\u0441\\u043d\\u043e\\u043a\\u0430\\u043c\\u0441\\u043a\",\"\\u041f\\u0435\\u0440\\u043c\\u044c, \\u0411\\u0435\\u043b\\u0438\\u043d\\u0441\\u043a\\u043e\\u0433\\u043e, 57\",\"\\u041f\\u0435\\u0440\\u043c\\u044c, \\u041a\\u0440\\u0430\\u0441\\u043d\\u043e\\u043f\\u043e\\u043b\\u044f\\u043d\\u0441\\u043a\\u0430\\u044f, 25\",\"\\u041f\\u0435\\u0440\\u043c\\u044c, \\u041b\\u043e\\u0434\\u044b\\u0433\\u0438\\u043d\\u0430, 49\",\"\\u041f\\u0435\\u0440\\u043c\\u044c, \\u0414\\u0435\\u043a\\u0430\\u0431\\u0440\\u0438\\u0441\\u0442\\u043e\\u0432, 9\"]',
		'[\"57.9969,56.2537,58.0119,56.2537,58.0119,56.2987,57.9969,56.2987,57.9969,56.2537\",\"57.9945,56.2026,58.0095,56.2026,58.0095,56.2476,57.9945,56.2476,57.9945,56.2026\"]',
		'[\"0.8\",\"#3d719c\"]', '#eb1ed7', '0.8', 0, '100', '100', '50', 1, 0, 0, ''),
	   (3, 'Первый калькулятор!', 'calculator', 'publicMap', '', '', NULL, 'Санкт-Петербург, пр. Невский, 100', '',
		'Санкт-Петербург, пр. Невский, 100', 0, '2012-11-14 01:05:04', 0, 0, 119, 0, '', '500', '500', 0, 0, '', 1, 1,
		1, '', '', 0, 1, 15, 1, '[\"1\",\"2\",\"3\",\"4\",\"5\"]', '', '', '', '8f2f62', '1', 0, '', '', '', 0, 0, 0,
		'[\"30\",\"200\",\"1\",\"1\"]'),
	   (12, 'Проверка 2', 'map', 'map', 'Query UI',
		'Query UI provides a number of icons that can be used by applying class names to elements. The class names generally follow a syntax of .ui-icon-{icon type}-{icon sub description}-{direction}. For example, the following will display an icon of a thick arrow pointing north:',
		'12', '', '', 'Санкт-Петербург, пр. Невский, 100', 0, '2022-11-06 09:09:22', 4, 1, 9, 1, '', '100%', '500px', 0,
		1, '#358af2', 1, 1, 2, '{\"longitude_map_yandex\":\"60.597474\",\"latitude_map_yandex\":\"56.838011\"}',
		'<p>The icons are also integrated into a number of jQuery UI widgets, such as <a href=\"https://api.jqueryui.com/accordion/#option-icons\">accordion</a>, <a href=\"https://api.jqueryui.com/button/#option-icons\">button</a>, <a href=\"https://api.jqueryui.com/menu/#option-icons\">menu</a>.</p>',
		3, 1, 14, 0, '[\"1\",\"2\",\"3\",\"4\",\"5\"]', '', '', NULL, '8f2f62', '1', 0, '100', '100', '500', 0, 1, 0,
		NULL);

CREATE TABLE `#__map_yandex_metki`
(
	`id`                int UNSIGNED NOT NULL AUTO_INCREMENT,
	`name_marker`       text         NOT NULL,
	`misil`             text         NOT NULL,
	`misilonclick`      text         NOT NULL,
	`city_map_yandex`   text         NOT NULL,
	`street_map_yandex` text         NOT NULL,
	`checked_out`       int UNSIGNED NOT NULL DEFAULT '0',
	`checked_out_time`  datetime     NOT NULL DEFAULT CURRENT_TIMESTAMP,
	`ordering`          int UNSIGNED NOT NULL DEFAULT '0',
	`published`         tinyint UNSIGNED NOT NULL DEFAULT '0',
	`hits`              int UNSIGNED NOT NULL DEFAULT '0',
	`catid`             int UNSIGNED NOT NULL,
	`params`            text         NOT NULL,
	`yandexcoord`       int          NOT NULL DEFAULT '1',
	`lng`               varchar(255) NOT NULL,
	`id_map`            int          NOT NULL,
	`deficon`           varchar(255) NOT NULL,
	`whoadd`            int          NOT NULL,
	`userimg`           varchar(255) NOT NULL,
	`wih`               char(20)     NOT NULL DEFAULT '["250","250"]',
    PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8mb4 AUTO_INCREMENT=6;

--
-- Дамп данных таблицы `#__map_yandex_metki`
--

INSERT INTO `#__map_yandex_metki` (`id`, `name_marker`, `misil`, `misilonclick`, `city_map_yandex`, `street_map_yandex`,
								   `checked_out`, `checked_out_time`, `ordering`, `published`, `hits`, `catid`,
								   `params`, `yandexcoord`, `lng`, `id_map`, `deficon`, `whoadd`, `userimg`, `wih`)
VALUES (1, 'Метка',
		'Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum',
		'Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum',
		'Пермь', 'Ленина, 60', 0, '2012-11-19 10:05:00', 4, 1, 0, 1, '', 2,
		'{"longitude_map_yandex":"56.236486","latitude_map_yandex":"58.00262"}', 1, 'yellowStretchyIcon', 721,
		'{"smallfile":"50a8b20427f2e_s.png","startfile":"50a8b20427f2e_n.png"}', '["250","250"]'),
	   (2, 'Проверка', 'пр. Невский, 100', 'пр. Невский, 100', 'Санкт-Петербург', ' пр. Невский, 100', 0,
		'2012-11-12 00:00:00', 4, 1, 0, 1, '', 1, '{"longitude_map_yandex":"","latitude_map_yandex":""}', 4,
		'yellowStretchyIcon', 721, '{"smallfile":"50a8f7c2f0e05_s.jpg","startfile":"50a8f7c2f0e05_n.jpg"}',
		'["250","250"]'),
	   (3, 'Пермь',
		'РПК SouvenirPrint - сувенирная продукция оптом со склада в Москве. Рекламные сувениры. Все виды нанесения логотипа. Круговая шелкография на ручках. Тампопечать на ручках',
		'РПК SouvenirPrint - сувенирная продукция оптом со склада в Москве. Рекламные сувениры. Все виды нанесения логотипа. Круговая шелкография на ручках. Тампопечать на ручках',
		'Пермь', 'Стахановская, 40', 0, '0000-00-00 00:00:00', 4, 1, 0, 1, '', 1,
		'{"longitude_map_yandex":"","latitude_map_yandex":""}', 1, 'blueStretchyIcon', 721,
		'{"smallfile":"50a9b8ed25995_s.jpg","startfile":"50a9b8ed25995_n.jpg"}', '["250","150"]'),
	   (4, 'Пермь', 'Пожар в колонии в Калининграде локализован, пострадавших нет!',
		'Пожар в колонии в Калининграде локализован, пострадавших нет!', 'Пермь', 'Чкалова, 5', 0,
		'2012-11-19 10:48:20', 4, 1, 0, 1, '', 1, '{"longitude_map_yandex":"","latitude_map_yandex":""}', 1,
		'darkorangeStretchyIcon', 721, '{"smallfile":"50a9ba0c524c0_s.jpg","startfile":"50a9ba0c524c0_n.jpg"}',
		'["250","150"]'),
	   (5, 'Питер', 'пр. Невский, 24', 'пр. Невский, 24', 'Санкт-Петербург', 'пр. Невский, 24', 0,
		'2012-11-19 11:28:49', 4, 1, 0, 1, '', 1, '{"longitude_map_yandex":"","latitude_map_yandex":""}', 11, 'gymIcon',
		721, '{"smallfile":null,"startfile":null}', '["150","100"]');
