<?php
/*
 * @package Joomla 1.5
 * @license - http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * @component Yandex Map Component
 * @copyright Copyright (C) Aleksandr Ermakov www.slyweb.ru
 */

namespace Slyweb\Component\Mapyandex\Administrator\Model;

// No direct access
use JFactory;
use Joomla\CMS\Factory;
use Joomla\CMS\MVC\Model\ListModel;

\defined('_JEXEC') or die('Restricted access');
jimport('joomla.application.component.modeladmin');
jimport('joomla.html.pagination');
jimport('joomla.application.component.modellist');

class AjaxdeleteModel extends ListModel
{
    var $_foobar;
    var $_editmarker;
    var $_mid;

    function __construct()
    {
        parent::__construct();
        $this->input = JFactory::getApplication()->input;
        $mid = $this->input->get('mid', 1);
        $this->setId($mid);
    }

    function setId($mid)
    {
        $this->_mid = $mid;
        $this->_foobar = null;
    }

    function textnl($text)
    {
        $text = str_replace("\r\n", "<br />", $text);
        $text = str_replace("\r", "<br />", $text);
        $text = str_replace("\n\n", '<p>', $text);
        $text = str_replace("\n", '<br />', $text);

        return addslashes($text);
    }

    function getMarker()
    {
        $mid = $this->input->get('mid', array(0), 'post', 'array');
        $db = $this->getDatabase();
        $query = ' SELECT * FROM #__map_yandex_metki WHERE id=' . $this->_mid;
        $query = $db->setQuery($query);

        return $db->loadObjectList();

    }

    function getDelete()
    {
        $mid = $this->input->get('mid', 0);
        $db = $this->getDatabase();

        $query = "UPDATE " . $db->quoteName('#__map_yandex_metki')
            . " set " . $db->quoteName('userimg') . " = '' WHERE id = '$mid'";

        $db->setQuery($query);
        if (!$db->execute()) {
            Factory::getApplication()->enqueueMessage($db->getError(), 'error');

            return false;
        }

        return true;
    }

}
