<?php
/*
 * @package Joomla 4.0
 * @license - http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * @component Yandex Map Component
 * @copyright Copyright (C) Aleksandr Ermakov www.slyweb.ru
 */

namespace Slyweb\Component\Mapyandex\Administrator\View\Ajax;

use Exception;
use JComponentHelper;
use Joomla\CMS\Factory;
use Joomla\CMS\Language\Text;
use Joomla\CMS\MVC\View\HtmlView as BaseHtmlView;
use JToolbarHelper;

\defined('_JEXEC') or die();
jimport('joomla.application.component.view');

class HtmlView extends BaseHtmlView
{
	function display($tpl = null) {


        try {
            $wa = Factory::getApplication()->getDocument()->getWebAssetManager();
            $wa->useStyle('mapyandex');
        } catch (Exception $e) {
            var_dump($e->getMessage());
        }

		JToolBarHelper::title(Text::_('INSTRUCTION'), 'mapyandexdoc');

		$this->params = JComponentHelper::getParams('com_mapyandex');
		$this->setLayout('row:lol');

		parent::display($tpl);
	}
}
?>
